Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.api.score
Class AbstractScore<S extends Score>

    java.lang.Object
      org.optaplanner.core.api.score.AbstractScore<S>

All Implemented Interfaces:
  Serializable, Comparable<S>, Score<S>

Direct Known Subclasses:
  BendableScore, HardMediumSoftScore, HardSoftBigDecimalScore, HardSoftDoubleScore, HardSoftLongScore, HardSoftScore, SimpleBigDecimalScore, SimpleDoubleScore, SimpleLongScore, SimpleScore

    public abstract class AbstractScore<S extends Score>

extends Object
implements Score<S>, Serializable

Abstract superclass for `Score`.

Subclasses must be immutable.

See Also:
  `Score`, `HardSoftScore`, Serialized Form

Constructor Summary
`AbstractScore()`

Method Summary
`static String` | `buildScorePattern(int levelsSize)`
`static String` | `buildScorePattern(String... levelSuffixes)`
`static String[]` | `parseLevelStrings(String scoreString, int levelsSize)`
`static String[]` | `parseLevelStrings(String scoreString, String... levelSuffixes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.api.score.Score
`add, divide, multiply, subtract, toDoubleLevels`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### AbstractScore

    public AbstractScore()

Method Detail

### parseLevelStrings

    public static String[] parseLevelStrings(String scoreString,
                                             int levelsSize)

### parseLevelStrings

    public static String[] parseLevelStrings(String scoreString,
                                             String... levelSuffixes)

### buildScorePattern

    public static String buildScorePattern(int levelsSize)

### buildScorePattern

    public static String buildScorePattern(String... levelSuffixes)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.